<style>
label{
    font-size:16px;
    font-family:Arial;
    @text-decoration:underline;
    color:sky-blue;
    font-wight:lighter;
}
</style>


  <?php
    include_once("../header.php");
  ///if($_GET['filtro']!=""){
        include_once("../php/config.php");
        $sql = mysql_query("select * from vencimiento where descripcion like '%".$_GET['filtro']."%' and suplidor  like '%".$_GET['suplidor']."%' or codigo  like '%".$_GET['filtro']."%' and  suplidor  like '%".$_GET['suplidor']."%' order by descripcion asc") or die(mysql_error());
    ////}
    ?>

<style>
  .form-control{
    font-size: 20px;
  }


b{
    font-size: 18px;
  }

  th{
    font-size:20px;
    text-align: left;
  }

    td{
    font-size:16px;
  }
  
  label{
	  font-size:18px;
  }
</style>
    <div class="container-fluid">

        
        <div class="row">
            <div class="col-md-12 ">

        <div class="row">
    <div class="col-md-1   mt-2 mb-2">     
                <a class="btn btn-success" href="javascript:void(0)" onClick="modalRegistro()"><i class="fa fa-plus"></i> Nuevo</a>
        
        
    </div>

     <div class="col-md-3 mb-2  mt-2">
   <input type="search" id="txt_buscar" placeholder="Filtrar registros" class="form-control" value="<?php echo $_GET['filtro']?>">
 </div>
 
  <div class="col-md-3 mb-2  mt-2">
  <select class="form-control" id="slSuplidor"  style="font-size:14px">

    <option value="" selected></option>
    <?php $sql2 = mysql_query("select * from proveedores order by nombre") ?>

    <?php while ($r = mysql_fetch_array($sql2)) { ?>
      <option value="<?php echo $r['nombre'] ?>"><?php echo $r['nombre'] ?></option>
    <?php } ?>
    </select>
     
 </div>
 
 <div class="col-md-5 mt-2 mb-2">
	   <a class="btn btn-default" href="#" onClick="filtrar()"><i class="fa fa-search"></i><span style="font-weight:bolder;"> Filtrar</span></a>
	   <a class="btn btn-warning" href="#" onClick="reporte()"><i class="fa fa-clock"></i><span style="font-weight:bolder;"> Vencidos</span></a>
			   <a class="btn btn-warning" href="#" onClick="reporte2()"><i class="fa fa-calendar"></i><span style="font-weight:bolder;"> Prox. venc.</span></a>
         <a class="btn btn-default text-dark" href="../menu/menu.php" ><i class="fa fa-undo"></i> Salir</a>
 </div>
  </div>

   <script>
   function filtrar(){
    var t = $("#txt_buscar").val();
	var suplidor = $("#slSuplidor").val();
    window.location.href="nuevo_vencimiento.php?filtro="+t+"&suplidor="+suplidor;
   }
   
   
   function reporte(){
	   var t = $("#txt_buscar").val();
	   var suplidor = $("#slSuplidor").val();
	   var param;
	  
	   param+="suplidor="+suplidor
	  window.open('rptVencidos.php?'+param,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

   }
   
      function reporte2(){
	   var t = $("#txt_buscar").val();
	   var suplidor = $("#slSuplidor").val();
	   var param;
	  
	   param+="suplidor="+suplidor
	  window.open('rptVencidos2.php?'+param,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

   }
 </script>    


        <script type="text/javascript">
          function modalRegistro(){
            $("#modalRegistro").modal('show');
            setTimeout(function(){
             $("#frm").trigger('reset'); 
            },500)
            
        }
        
        </script>
       
                <div class="table-responsive  p-3" >
                    <table class="table  table-hover table-striped" data-page-length='8' style="font-family:calibri">
                    
                            <th>Lote</th>
                            <th>Articulos</th>
             <th>Codigo</th>
              <th>Cantidad</th>
			  <th>Suplidor</th>
               <th>Fecha vencimiento</th>
              <th>Editar</th>
                    
                        <tbody>
            <?php while(@$r=mysql_fetch_array($sql)){
				if(vence($r["fecha"], $hoy)=='vencido'){ $estado="<span class='badge badge-warning'>Vencido</span>";}
				?>
                            <tr>
                                <td><?php echo $r["lote"]?></td>
                <td><a class="" href="#modalRegistro" data-toggle="modal" onClick='ver(<?php echo $r["id"]?>)'><?php echo $r["descripcion"]?></a></td>
               <td><?php echo $r["codigo"]?></td>
               <td><?php echo $r["cantidad"]?></td>
			    <td><?php echo $r["suplidor"]?></td>
               <td class="<?php if(vence($r["fecha"], $hoy)=='vencido'){ echo 'text-danger';}?>"><?php echo fecha($r["fecha"])." ".$estado?></td>
               <?php $estado="";?>
              
             
               <td><a class="btn btn-info" href="#modalRegistro" data-toggle="modal" onClick='ver(<?php echo $r["lote"]?>)'><i class="fa fa-eye"></i> Editar</a></td>
                            </tr>
                                                        <?php }?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        
        </div>
      </div>
      


          
</div>
    </div>

    <!---Modal modalRegistro-->
    <div class="modal fade" id="modalRegistro" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title text-dark" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Registro de productos con fecha de vencimiento</h2>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


          <form name="frm" action="" method="POST" id="frm">

        
    <div class="row">
          <label for="lote" class="col-sm-3 col-form-label" >Lote</label>
          <div class="col-sm-9">
            <input readonly autocomplete="off" style="font-size:18px;" type="text"  class="form-control mb-2 font-weight-bolde" id="lote" name="lote" value="">
          </div>
        </div>

        <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Codigo</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  onBlur="ver_codigo(this.value)" class="form-control mb-2" id="codigo" name="codigo" value="">
          </div>
        </div>

        
        <div class="row">
          <label for="descripcion" class="col-sm-3 col-form-label" >Articulo</label>
          <div class="col-sm-9">
            <input autocomplete="off" style="font-size:18px;" type="text"  class="form-control mb-2 font-weight-bolde" id="descripcion" name="descripcion" value="">
          </div>
        </div>

         

        <div class="row">
          <label for="cantidad" class="col-sm-3 col-form-label" >Cantidad</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="cantidad" name="cantidad" value="">
          </div>
        </div>
		
<div class="row mt-2 mb-2">
    <label for="cedula" class="col-sm-3 col-form-label" >Suplidor</label>
        <div class="col-sm-9">
            <select class="form-control" id="suplidor"  style="font-size:14px">

    <option value="" selected></option>
    <?php $sql2 = mysql_query("select * from proveedores order by nombre") ?>

    <?php while ($r = mysql_fetch_array($sql2)) { ?>
      <option value="<?php echo $r['nombre'] ?>"><?php echo $r['nombre'] ?></option>
    <?php } ?>
    </select>
    </div>
</div>


       <div class="row">
          <label for="fecha" class="col-sm-3 col-form-label" >Vence</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="Date"  class="form-control mb-2" id="fecha" name="fecha" value="">
          </div>
        </div>

  <div class="row mt-2 mb-2">
    <label for="cedula" class="col-sm-3 col-form-label" >Estatus</label>
        <div class="col-sm-9">
            <select class="form-control" id="estatus" style="font-size:14px">

    <option value="" selected></option>
   
      <option value=""></option>
	   <option value="Revisado"> Revisado </option>
 
    </select>
    </div>
</div>
  


              
              
          </form>
          
          </div>
          <div class="modal-footer">
            <button class="btn btn-danger" type="button" onclick="grabar()"><i class="fa fa-w fa-save"></i> ACTUALIZAR DATOS </button>

                  <button class="btn btn-default" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> BORRAR</button>

            <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> SALIR</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
var ilote="";

function ver(lote){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#descripcion").focus();
        $("#descripcion").select();
    },1000);

            var sql="select * from vencimiento where lote='"+lote+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                   ilote= rs.data[i].lote;             
                    $("#descripcion").val(rs.data[i].descripcion);
                    $("#codigo").val(rs.data[i].codigo);
                     $("#lote").val(rs.data[i].lote);
                    $("#cantidad").val(rs.data[i].cantidad);
                    $("#fecha").val(rs.data[i].fecha);
                  
                    $("#estatus option[value='"+rs.data[i].estatus+"']").prop('selected', true);
                    $("#suplidor option[value='"+rs.data[i].suplidor+"']").prop('selected', true);
                    
                }
                
            })
        }
  
  
  
  
  
  
  
  
 
  
  
  
  
  function grabar(){
     if(!confirm("Seguro(a) que desea registrar este cliente?")){return;}                   
    
     var descripcion = $("#descripcion").val();
     var codigo = $("#codigo").val();
     var cantidad = $("#cantidad").val();
     var fecha = $("#fecha").val();
	 var estatus = $("#estatus").val();
	 var suplidor = $("#suplidor").val();
     var lote = $("#lote").val();
    



     if(codigo==""){alert('Faltan datos'); return}
    var sql="";                            
        if(lote==""){
            sql="INSERT INTO vencimiento set ";
            sql+=" descripcion='"+descripcion+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", cantidad='"+cantidad+"'";
            sql+=", fecha='"+fecha+"'"; 
			sql+=", suplidor='"+suplidor+"'"; 
			sql+=", estatus='"+estatus+"'"; 
           
        }else{
            sql="UPDATE vencimiento set";
             sql+=" descripcion='"+descripcion+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", cantidad='"+cantidad+"'";
            sql+=", fecha='"+fecha+"'"; 
			sql+=", suplidor='"+suplidor+"'"; 
			sql+=", estatus='"+estatus+"'"; 
            sql+=" WHERE lote='"+lote+"'";
           
            
        }
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        
        lote="";
         $("#modalRegistro").modal('hide');
        setTimeout(function(){window.location.reload()},2000)

      }else{
          alert(data);
          
      }
       
    })
}
  

 function borrar(){
  
     if(ilote==""){alert('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from vencimiento where lote='"+ilote+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalRegistro").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        lote="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          alert(data);
          
      }
       
    })
}


function ver_codigo(codigo){


            var sql="select * from productos where codigo='"+codigo+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
				if(data=="null"){ return;}
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                               
                    $("#descripcion").val(rs.data[i].descripcion);
                    ////$("#cedula").val(rs.data[i].cedula);
                    
                   /// $("#id").val(rs.data[i].id_cliente);
                   /// $("#telefono").val(rs.data[i].telefono);
                   /// $("#direccion").val(rs.data[i].direccion);
					///$("#max_credito").val(rs.data[i].max_credito);
					/////$("#ncf option[value='"+rs.data[i].tipo_ncf+"']").prop('selected', true);
					$("#suplidor option[value='"+rs.data[i].proveedor+"']").prop('selected', true);
                    
                }
                
            })
        }
  
   $(".form-control").addClass("text-info");      
        </script>

